Package com.emc.d2fs.interfaces

# Interface IBrowserService

All Superinterfaces:
  `ID2fsService`

public interface IBrowserService extends ID2fsService
Content services for Tree/Browser

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Node`
  `getBrowserContent(Context context, String id, String contentTypeName, String checkChildren)`
  Get document children as tree content
  `Node`
  `getBrowserFacetContent(Context context, String id, String contentTypeName, String facetName, String facetValue, String resetFacetName, String checkChildren, String facetCountInfo)`
  Get facet items as tree content
  `Node`
  `getFilteredBrowserContent(Context context, String id, String contentTypeName, String checkChildren, String locateId)`
  Get document children as tree content truncated Like getBrowserContent except that only a maximum subset of nodes are returned.
  `Node`
  `getTreeContent(Context context, String id, String contentTypeName, String checkChildren, List<Attribute> attributes)`
  Get document children as tree content

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### getBrowserContent

    Node getBrowserContent(Context context, String id, String contentTypeName, String checkChildren) throws Exception
    Get document children as tree content
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of root document id
      `contentTypeName` - String value of root content type name (repository, folder, virtual document, ...)
      `checkChildren` - String value of targeted children logic control (folder, folderOrVd, folderOrDocument or null)
    Returns:
      `Node` object as tree content
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getTreeContent

    Node getTreeContent(Context context, String id, String contentTypeName, String checkChildren, List<Attribute> attributes) throws Exception
    Get document children as tree content
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of root document id
      `contentTypeName` - String value of root content type name (repository, folder, virtual document, ...)
      `checkChildren` - String value of targeted children logic control (folder, folderOrVd, folderOrDocument or null)
      `attributes` - `Attribute` List of attributes.
    Returns:
      `Node` object as tree content
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getBrowserFacetContent

    Node getBrowserFacetContent(Context context, String id, String contentTypeName, String facetName, String facetValue, String resetFacetName, String checkChildren, String facetCountInfo) throws Exception
    Get facet items as tree content
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of root document id
      `contentTypeName` - String value of root content type name (repository, folder, virtual document, ...)
      `facetName` - String value of attribute name used as facet
      `facetValue` - String value of the facet item
      `resetFacetName` - String value of the facet that the selection needs to be cleared
      `checkChildren` - String value of targeted children type name (folder, document+folder or null)
      `facetCountInfo` - String specifying details about how many values of each facet to return
    Returns:
      `Node` object as tree content
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### getFilteredBrowserContent

    Node getFilteredBrowserContent(Context context, String id, String contentTypeName, String checkChildren, String locateId) throws Exception
    Get document children as tree content truncated Like getBrowserContent except that only a maximum subset of nodes are returned. Note that the underlying ID2Content.getFilteredBrowserContent method can truncate the result set if it is too large. In this case, the returned Node.count value will be set and can be used by the caller to determine if truncation of the result set occurred.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of root document id
      `contentTypeName` - String value of root content type name (repository, folder, virtual document, ...)
      `checkChildren` - String value of targeted children logic control (folder, folderOrVd, folderOrDocument or null)
      `locateId` - String value used to include specific item in result set
    Returns:
      `Node` object as tree content
    Throws:
      `Exception`
    Since:
      4.2.0 Patch 08 and 4.2.1